### Method

# Gtk CellAreaattribute_disconnect

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_attribute_disconnect (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* attribute
    )

#### Description [src]

Disconnects `attribute` for the `renderer` in `area` so that attribute will no longer be updated with values from the model.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to disconnect an attribute for.

  The data is owned by the caller of the method.

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.